clear all


* set path

cd   "/Users/ko37/Dropbox/Trade War/Paper - Current Version/Replication Files Kevin/"

*** collapse exports and imports and to prepare for the welfare calculations ***

clear all

use "mergeddata_q.dta"

keep code_1 code_2 year quarter exportsGFD_1 exportsGFD_2 flow y_q 


save "Welfare_Quarterly_USD.dta", replace

preserve
collapse(sum) flow, by(code_1 year quarter y_q)
rename flow exports_flow
rename code_1 code
sort code y_q

save "Exports_USD.dta", replace

restore


collapse(sum) flow, by(code_2 year quarter y_q)
rename flow imports_flow
rename code_2 code
sort code y_q

save "Imports_USD.dta", replace

merge 1:1 code y_q using "Exports_USD.dta"


tab _merge
drop if _merge==2
drop _merge

save "Welfare_Quarterly_USD.dta", replace





export excel using "Welfare_Quarterly_USD", firstrow(variables) replace



